Advanced search

Message boards : News : Change in the scheduler

Author Message
Profile GDF
Volunteer moderator
Project administrator
Project developer
Project tester
Volunteer developer
Volunteer tester
Project scientist
Send message
Joined: 14 Mar 07
Posts: 1947
Credit: 629,356
RAC: 0
Level
Gly
Scientific publications
watwatwatwatwat
Message 57990 - Posted: 1 Dec 2021 | 15:21:51 UTC

I have made a change in the scheduler code yesterday. Let me know if now the server is assigning the correct application:
Cuda10.1 for old drivers
Cuda11 for newer drivers

GDF

Ian&Steve C.
Avatar
Send message
Joined: 21 Feb 20
Posts: 744
Credit: 4,948,103,494
RAC: 778,033
Level
Arg
Scientific publications
wat
Message 57993 - Posted: 1 Dec 2021 | 15:42:48 UTC - in response to Message 57990.

which driver version is the line between what is considered "old" and "new" drivers?
____________

Richard Haselgrove
Send message
Joined: 11 Jul 09
Posts: 1451
Credit: 3,575,929,351
RAC: 281,648
Level
Arg
Scientific publications
watwatwatwatwatwatwatwatwatwatwatwatwatwatwatwatwatwatwatwatwatwatwatwatwatwatwat
Message 57994 - Posted: 1 Dec 2021 | 16:13:52 UTC

As I said in the 'server problems' thread, this morning I got the correct (cuda1121) app for my hardware/software under both Linux and Windows.

GPUs are all GTX 1660: drivers are 470.82 (Linux), 472.12 (Windows)

Profile GDF
Volunteer moderator
Project administrator
Project developer
Project tester
Volunteer developer
Volunteer tester
Project scientist
Send message
Joined: 14 Mar 07
Posts: 1947
Credit: 629,356
RAC: 0
Level
Gly
Scientific publications
watwatwatwatwat
Message 57997 - Posted: 1 Dec 2021 | 18:09:51 UTC - in response to Message 57994.

we actually don't use directly the driver but whatever the driver reports as cuda version.

Keith Myers
Send message
Joined: 13 Dec 17
Posts: 1072
Credit: 1,451,778,214
RAC: 400,326
Level
Met
Scientific publications
watwatwatwatwat
Message 58004 - Posted: 1 Dec 2021 | 19:54:25 UTC - in response to Message 57994.

Open the coproc_info.xml file in the BOINC folder and look for the equivalent line as this:
<opencl_platform_version>OpenCL 3.0 CUDA 11.4.158</opencl_platform_version>

Or look at the beginning of the Event Log after BOINC restart for the gpu capability declaration.

Ian&Steve C.
Avatar
Send message
Joined: 21 Feb 20
Posts: 744
Credit: 4,948,103,494
RAC: 778,033
Level
Arg
Scientific publications
wat
Message 58010 - Posted: 2 Dec 2021 | 0:30:58 UTC - in response to Message 57997.

we actually don't use directly the driver but whatever the driver reports as cuda version.


great.

there might be some individuals that have earlier 11.1 drivers on their Ampere cards which will get stuck with the problematic CUDA 10.1 app (problematic for Ampere), but hopefully they should be few and far between anymore. just highlighting potential edge cases.

but making the determination based on reported CUDA version is a better method than before. :)
____________

Post to thread

Message boards : News : Change in the scheduler

//